diff --git a/Android.bp b/Android.bp
index dabff6d..9f54e56 100644
--- a/Android.bp
+++ b/Android.bp
@@ -17,21 +17,21 @@ license {
     ],
     license_text: [
         "LICENSE-APACHE",
         "LICENSE-MIT",
     ],
 }
 
 rust_library {
     name: "liboneshot_uniffi",
     host_supported: true,
-    crate_name: "oneshot_uniffi",
+    crate_name: "oneshot",
     cargo_env_compat: true,
     cargo_pkg_version: "0.1.6",
     crate_root: "src/lib.rs",
     edition: "2021",
     features: [
         "async",
         "default",
         "std",
     ],
     apex_available: [
